%define fedora 19
%global username guacd

Name:           guacd
Version:        0.7.0
Release:        alt2_4
Summary:        Proxy daemon for Guacamole
Group:          System/Servers
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            http://guac-dev.org/
Source0:        http://guac-dev.org/pub/dist/source/%{name}-%{version}.tar.gz
Source1:        %{name}.sysconfig
Source2:        %{name}.service
Source3:        %{name}.init

BuildRequires:  libcairo-devel
BuildRequires:  libguac-devel >= %{version}

%if 0%{?fedora} || 0%{?rhel} >= 7
%endif

%if 0%{?fedora} == 16 || 0%{?fedora} == 17
%endif

%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
Requires(post):         systemd
Requires(preun):        systemd
Requires(postun):       systemd
%endif

%if 0%{?rhel} == 6
Requires(post):         /sbin/chkconfig
Requires(preun):        /sbin/chkconfig
Requires(preun):        /sbin/service
Requires(postun):       /sbin/service
%endif

Requires(pre):          shadow-utils
Source44: import.info

%description
Guacamole is an HTML5 web application that provides access to desktop
environments using remote desktop protocols such as VNC or RDP. A centralized
server acts as a tunnel and proxy, allowing access to multiple desktops through
a web browser. No plugins are needed: the client requires nothing more than a
web browser supporting HTML5 and AJAX.

%{name} is the Guacamole proxy daemon used by the Guacamole web application and
framework to translates between arbitrary protocols and the Guacamole protocol.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}

%if 0%{?fedora} >= 16 || 0%{?rhel} >= 7

# Systemd unit files
mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 -D %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service

%else

# Initscripts
mkdir -p %{buildroot}%{_initrddir}
install -p -m 755 -D %{SOURCE3} %{buildroot}%{_initrddir}/%{name}

%endif


%pre
getent group %username >/dev/null || groupadd -r %username &>/dev/null || :
getent passwd %username >/dev/null || useradd -r -s /sbin/nologin \
    -d %{_sharedstatedir}/guacd -M -c 'Guacamole proxy daemon' -g %username %username &>/dev/null || :
exit 0

%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%post
%post_service %{name}

%preun
%preun_service %{name}

%endif
%if 0%{?rhel} == 6
%post
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = 0 ]; then
        /sbin/service %{name} stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%endif

%files
%doc AUTHORS LICENSE README
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_mandir}/man8/%{name}.8.*
%{_sbindir}/%{name}
%if 0%{?fedora} >= 16 || 0%{?rhel} >= 7
%{_unitdir}/%{name}.service
%else
%{_initrddir}/%{name}
%endif
%attr(750,%{username},%{username}) %{_sharedstatedir}/%{name}

%changelog
* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt2_4
- update to new release by fcimport

* Sun Mar 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt2_3
- use post/un_service for service-only packages

* Fri Feb 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_3
- update to new release by fcimport

* Tue Jan 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_1
- initial fc import

